Name: x11-driver-video-xgi
Version: 1.6.1
Release: %mkrel 7
Summary: X.org driver for XGI Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-xgi-%{version}.tar.bz2
Patch1:	0001-Add-missing-includes-to-avoid-implicit-function-decl.patch
Patch2:	0002-Fix-invalid-mode-passed-to-open.patch
Patch3: 0003-Fixed-Module-xgi-does-not-have-a-xgiModuleData.patch
Patch4: 0004-Add-check-for-libpciaccess-on-ARM.patch
Patch5: 0005-Adapt-Block-WakeupHandler-signature-for-ABI-23.patch

ExclusiveArch: %ix86 x86_64

License: MIT
BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: libdrm-devel		>= 2.3.0
BuildRequires: libpixman-1-devel	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: x11-server-devel		>= 1.4
BuildRequires: libmesagl-devel		>= 7.0.2
Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-xgi is the X.org driver for Generic XGI Cards.

%prep
%setup -q -n xf86-video-xgi-%{version}
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/xgi_drv.la
%{_libdir}/xorg/modules/drivers/xgi_drv.so
%{_mandir}/man4/xgi.*




%changelog
* Thu Nov 17 2016 tv <tv> 1.6.1-7.mga6
+ Revision: 1067792
- add fixes from git
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.6.1-6.mga6
+ Revision: 1043303
- rebuild for xorg-server 1.18.4

* Mon May 30 2016 tv <tv> 1.6.1-5.mga6
+ Revision: 1019404
- do not both build on arm

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Nov 12 2015 tv <tv> 1.6.1-3.mga6
+ Revision: 902854
- fixes from git enabling to build with xserver 1.18
- submit to core/release
- rebuild for new xserver
- new release
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-18.mga5
+ Revision: 739446
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-17.mga5
+ Revision: 690471
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.6.0-16.mga5
+ Revision: 635061
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.6.0-15.mga5
+ Revision: 633706
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.6.0-14.mga5
+ Revision: 614402
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.6.0-13.mga5
+ Revision: 582384
- patch 3: fix build with xserver-1.14

* Fri Dec 06 2013 tmb <tmb> 1.6.0-12.mga4
+ Revision: 555625
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-11.mga4
+ Revision: 525478
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.6.0-10.mga4
+ Revision: 433209
- submit to core/release

* Fri May 24 2013 tv <tv> 1.6.0-9.mga4
+ Revision: 426075
- patch 3: fix build with xserver-1.14
- patch 0 + sources 1 & 2: fix build with xserver-1.14
- restore format error fixes patch
- disable other git patches
- backport git changes (support for newer x11-server)
- rebuild for new xserver
- rebuild for new xserver
- rebuild b/c of ia32 failure
- rebuild for new X.org server

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 06 2011 tmb <tmb> 1.6.0-5.mga2
+ Revision: 177723
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.6.0-4.mga2
+ Revision: 153141
- rebuild for xserver-1.11

* Fri Feb 11 2011 tmb <tmb> 1.6.0-3.mga1
+ Revision: 50354
- imported package x11-driver-video-xgi

